TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Preimage ( any x, map() f ) -> any

### Description

<shortdoc> The preimage of x under f. </shortdoc>

### Examples

x_R := PolynomialAlgebra( IntegerRing() ); x_x := Generator(x_R, 1); x_O := MaximalOrder( x_x^5-5*x_x^3+7*x_x^2-15*x_x+16 ); x_G := ClassGroup(x_O); x_f := x_G.ext1; x_I := Factorization( 7*x_O )[1][1]; x_g := Preimage(x_I, x_f); x_J := x_f(x_g); IsPrincipal(x_I / x_J);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack